This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829227 - Failed to rename illegitimate plugin during upgrade.
Failed to rename illegitimate plugin during upgrade.
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 05:18 EDT by Filip Brychta
Modified: 2012-06-06 05:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-06-06 05:18:04 EDT
Description of problem:
Harmless but unnecessary error messages are thrown to agent log during upgrade.

Version-Release number of selected component (if applicable):
jon3.1.0.RC2

How reproducible:
Always

Steps to Reproduce:
1.follow upgrade procedure and upgrade JON.3.0.1.GA + some agent plugins to JON.3.1.0 
2. check the agent.log
  
Actual results:
similar messages (depends on what agent plugins was installed) are thrown to agent.log 
2012-06-05 14:38:36,775 WARN  [RHQ Server Polling Thread] (org.rhq.enterprise.agent.PluginUpdate)- {PluginUpdate.plugin-not-on-server}The plugin [plugins/rhq-agent-plugin-4.2.0.JON.3.0.1.GA.jar] does not exist on the Server - renaming it to [rhq-agent-plugin-4.2.0.JON.3.0.1.GA.jar.REJECTED] so it will not get deployed by the Plugin Container.
2012-06-05 14:38:36,775 ERROR [RHQ Server Polling Thread] (org.rhq.enterprise.agent.PluginUpdate)- {PluginUpdate.plugin-rename-failed}Failed to rename illegitimate plugin [plugins/rhq-agent-plugin-4.2.0.JON.3.0.1.GA.jar] to [rhq-agent-plugin-4.2.0.JON.3.0.1.GA.jar.REJECTED]. 

Expected results:
This is expected scenario (the old plugins are not available in upgraded system) so the ERROR log level is not necessary.

Note You need to log in before you can comment on or make changes to this bug.